Description

The current EquivalentInjection jas some gaps that prevent to use it to represent ward or extended ward equivalent.

Therefore it is recommended to apply the following changes:

- Add attribute Equivalentinjection.kind, type EquivalentlnjectionKind

- add enumeration EquivalentinjectionKind

- add enum quivalentinjectionKind.ward

- add enum quivalentinjectionKind.extendedWard

- move 1, x, from SC profile to EQ profile as they can be used for the power flow calculation. The negative and zero sequence should
stay in SC profile

Define a rule that ward equivalent cannot be regulating voltage so we have dependency between the .kind attribute and the attributes
related to the regulating capability

There could be an option to reuse the regulatingCapability instead of adding .kind, but we will need to refer to ward and extended
ward in the description

Some references
ward: https:/pandapower.readthedocs.io/en/v2.1.0/elements/ward.html
extended ward: https://pandapower.readthedocs.io/en/v2.1.0/elements/xward.html

Decision

15 May 2024

we agree to create 2 subclasses: WardEquivalent ExtendedWardEquivalent

- ExtendedWardEquivalent would have r, x, and the regulating status and voltage attributes all required attributes in the profile
- Equivalentlnjection will be abstract in the profile

Martin will double check.

Marting replied - see notes.

The issue can be implemented and closed

Release Notes

The following classes were added WardEquivalent ExtendedWardEquivalent
The ExtendedWardEquivalent has r, x, and the regulating status and voltage attributes all required attributes in the profile. The
attributes are moved from Equivalentinjection. ExtendedWardEquivalent gets r0, r2, x0, x2 as part of the SC profiles
Equivalentinjection is abstract in the profile

The association with ReactiveCapabilityCurve is moved to ExtendedWardequivalent

Attribute regulationCapability is deleted as ExtendedWardEquivalent always has the capability to regulate. The regulationStatus is
kept for SSH usage to have the ability to deactivate the voltage control although this is also questionable as this will turn the
Extended ward to a ward.

Changes are applied in EQ, SC and SSH profiles.

History

#1 - 05/15/2024 11:02 AM - Chavdar Ivanov

- Decision updated

#2 - 05/15/2024 11:50 AM - Chavdar Ivanov
Reply from Martin

Following up on my homework action item, I've determined that the cases
in which the existence of r and x doesn't match the regulating status

only occurs for SynchronousMachines and not for Equivalentinjection, so
that will not conflict with the ward/extended ward model.

-Martin Miller

#3 - 05/15/2024 11:51 AM - Chavdar lvanov

- Decision updated

#4 - 06/04/2024 03:54 PM - Chavdar Ivanov

- Status changed from New to Open

- Solution to be Applied To set to CIM18v11

- Solution Version set to CIM18v11

- Solution Applied By set to Chavdar lvanov

- Completion Date set to 06/04/2024

- Breaking Change changed from No to Yes

- Breaking Change Description set to Attributes are moved

- Release Notes updated

#5 - 06/05/2024 03:31 PM - Chavdar Ilvanov

- Release Notes updated

#6 - 06/05/2024 03:32 PM - Chavdar Ilvanov

- Status changed from Open to In Progress

#7 - 06/05/2024 03:32 PM - Chavdar Ilvanov

- Status changed from In Progress to Closed
